/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';

.root {
    display: flex;
    justify-content: flex-start;
    width: 100%;
    position: relative;

    @include breakpoints.screen-s-and-m {
        & > div {
            width: 100%;
        }
    }

    @include breakpoints.screen-l-and-up {
        justify-content: center;
    }
}

.list {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;

    @include breakpoints.screen-l-and-up {
        flex-direction: row;
        align-items: center;
        text-align: center;
        gap: 18px;
    }
    @include breakpoints.screen-xl-and-up {
        gap: 38px;
    }
}

.indicator {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    height: 10px;
    top: 100%;
    overflow: hidden;
    z-index: 3;
    transition: width, transform 250ms ease;

    &[data-state='visible'] {
        animation: fadeIn 200ms ease;
    }

    &[data-state='hidden'] {
        animation: fadeOut 200ms ease;
    }
}

.arrow {
    position: relative;
    top: 70%;
    background-color: colors.$color-black;
    width: 12px;
    height: 12px;
    transform: rotate(45deg);
    border-top-left-radius: 2px;

    &[data-state='hidden'] {
        display: none;
    }
}

.viewportPosition {
    position: absolute;
    z-index: 2;
    display: flex;
    justify-content: center;
    width: 100%;
    top: 100%;
    left: 0;
    perspective: 2000px;
}

.viewport {
    position: relative;
    transform-origin: top center;
    margin-top: 10px;
    width: 100%;
    background-color: colors.$color-white;
    overflow: hidden;
    box-shadow: hsl(206 22% 7% / 35%) 0 10px 38px -10px, hsl(206 22% 7% / 20%) 0 10px 20px -15px;
    height: var(--radix-navigation-menu-viewport-height);
    transition: width, height, 300ms ease;

    &[data-state='open'] {
        animation: scaleIn 200ms ease;
    }

    &[data-state='closed'] {
        animation: scaleOut 200ms ease;
    }
}

@keyframes scaleIn {
    from {
        opacity: 0;
        transform: rotateX(-30deg) scale(0.9);
    }
    to {
        opacity: 1;
        transform: rotateX(0deg) scale(1);
    }
}

@keyframes scaleOut {
    from {
        opacity: 1;
        transform: rotateX(0deg) scale(1);
    }
    to {
        opacity: 0;
        transform: rotateX(-10deg) scale(0.95);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}
